Unofficial OpenGL Software Development Kit: glimg::loaders::dds Namespace Reference

Unofficial OpenGL Software Development Kit 0.5.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Functions
glimg::loaders::dds Namespace Reference
Image Loaders

Contains the DDS loader functions and exceptions. More...

## Classes

class | DdsLoaderException
| Base class for all exceptions thrown by the DDS loaders. More...
class | DdsFileNotFoundException
| Thrown if the DDS file could not be opened. More...
class | DdsFileMalformedException
| Thrown if the DDS data is not a valid DDS format. More...
class | DdsFileUnsupportedException
| Thrown if the DDS format uses features that the loader cannot yet handle. More...

## Functions

ImageSet * | LoadFromFile (const std::string &filename)
| Loads a DDS file from the disk, given an ASCII filename. More...
ImageSet * | LoadFromMemory (const unsigned char *buffer, size_t bufSize)
| As LoadFromFile, but from an already loaded buffer. The buffer pointer may be deleted after this call.

## Detailed Description

Contains the DDS loader functions and exceptions.

## Function Documentation

ImageSet* glimg::loaders::dds::LoadFromFile | ( | const std::string & | filename | ) |

Loads a DDS file from the disk, given an ASCII filename.

DDS is a good texture format, because it naturally fits the needs of textures. It supports features like mipmaps and arrays that other image formats do not.

Exceptions

  DdsLoaderException | The image could not be loaded. There are derived classes from this type that could be thrown.

Returns
  An ImageSet that represents the loaded image data.

Todo:

  Flip the textures, or allow the user to decide not to.

  Get 3D textures working.

  Implement the D3D10 format.

  Get array textures working. With mipmaps.

  Get cubemap array textures working.